[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[F9->F10 Upgrade] Stubborn libcaca/xine-lib problem



I upgraded my laptop last night, without the aid of the pre-upgrade
package.  No doubt this is the source of at least some of my problem;
that I've been using a mix of repositories is likely another.  Here's
the scoop:

I was able to upgrade, and after disabling one repository (atrpms) I was
able to upgrade *almost* everything.  The problem comes with one
stubborn rpm: libcaca.  When trying to update this, I'm told that
libcucul.so.0 is needed for xine-lib.  OK, so why can't I update
xine-lib?  Because there is no copy in the repository and it wasn't
updated during the upgrade.

I'm told that 'yum list extras' will show me the packages no longer kept
in the current repositories.  Sure enough, xine-lib is not there.  If
the package is no longer provided, though, I would expect that nothing
else would need it.  Below I've enumerated the 41 separate additional
packages that would need to be deinstalled if I were to remove xine-lib,
all but three of which are F10 packages.  I don't understand how these
packages could be F10 software if a library/package upon which they
depend is not offered, and these seem to be rather central.

I can see a few alternatives:
1) Wait for a new xine-lib to come along that will tale care of the issue.
2) Leave libcaca alone.
3) Find some way to "force" the new libcaca package.
4) Deinstall all 42 of those packages, upgrade libcaca, and then
reinstall the packages available.
5) None of above, that I can't think of.

Does anyone have any suggestions on how I should handle this one?

Thanks in advance,
 -Don



************************ List of affected packages
*****************************
Dependencies Resolved

================================================================================
 Package                   Arch    Version                    
Repository  Size
================================================================================
Removing:
 xine-lib                  i386    1.1.15-15.fc9              
installed  6.6 M
Removing for dependencies:
 amarok                    i386    1.98-1.fc10                
installed   26 M
 compiz-kde                i386    0.7.6-17.fc10              
installed  193 k
 digikam                   i386    0.10.0-0.6.beta5.fc10      
installed   19 M
 digikam-doc               noarch  0.9.4-2.fc10               
installed   59 M
 digikam-libs              i386    0.10.0-0.6.beta5.fc10      
installed  3.6 M
 fedorawaves-kdm-theme     noarch  1.1-2.fc10                 
installed  1.5 M
 k9copy                    i386    2.1.0-2.fc10               
installed  2.9 M
 kdeadmin                  i386    7:4.1.3-1.fc10             
installed  3.0 M
 kdeartwork-extras         i386    4.1.3-3.fc10               
installed  2.4 M
 kdeartwork-kxs            i386    4.1.3-3.fc10               
installed  203 k
 kdebase                   i386    6:4.1.3-2.fc10             
installed   12 M
 kdebase-libs              i386    6:4.1.3-2.fc10             
installed  672 k
 kdebase-runtime           i386    4.1.3-1.fc10               
installed  9.0 M
 kdebase-runtime-libs      i386    4.1.3-1.fc10               
installed  2.9 M
 kdebase-workspace         i386    4.1.3-6.fc10               
installed   22 M
 kdebase-workspace-libs    i386    4.1.3-6.fc10               
installed  2.9 M
 kdeedu                    i386    4.1.3-1.fc10               
installed   74 M
 kdeedu-kstars             i386    4.1.3-1.fc10               
installed   19 M
 kdeedu-libs               i386    4.1.3-1.fc10               
installed  3.4 M
 kdeedu-math               i386    4.1.3-1.fc10               
installed  5.6 M
 kdegames                  i386    6:4.1.3-1.fc10             
installed   51 M
 kdegames-libs             i386    6:4.1.3-1.fc10             
installed  1.6 M
 kdegraphics-libs          i386    7:4.1.3-2.fc10             
installed  4.5 M
 kdelibs                   i386    6:4.1.3-3.fc10             
installed   38 M
 kdemultimedia             i386    6:4.1.3-1.fc10             
installed  2.9 M
 kdemultimedia-libs        i386    6:4.1.3-1.fc10             
installed  803 k
 kdenetwork                i386    7:4.1.3-1.fc10             
installed   16 M
 kdenetwork-libs           i386    7:4.1.3-1.fc10             
installed  5.4 M
 kdepimlibs                i386    4.1.3-1.fc10               
installed  7.0 M
 kdetoys                   i386    7:4.1.3-1.fc10             
installed  2.3 M
 kmediafactory             i386    0.7.0-0.1.rc2.fc10         
installed  2.2 M
 kmediafactory-libs        i386    0.7.0-0.1.rc2.fc10         
installed  381 k
 kmid                      i386    2.0-0.6.20080213svn.fc9    
installed  1.4 M
 ksysguardd                i386    4.1.3-6.fc10               
installed  126 k
 phonon                    i386    4.2.0-7.fc10               
installed  361 k
 phonon-backend-gstreamer  i386    4.2.0-7.fc10               
installed  219 k
 phonon-backend-xine       i386    4.1.3-1.fc10               
installed  301 k
 polyester                 i386    2.0-0.3.beta1.fc9          
installed  389 k
 tempest-kde               i386    0-0.6.20070929.fc9         
installed   389
 totem-xine                i386    2.24.3-1.fc10              
installed   87 k
 xine                      i386    0.99.5-5.fc10              
installed  2.7 M

Transaction Summary
================================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove      42 Package(s) 


************************ Repos enabled
***************************************

adobe-linux-i386.repo
fedora.repo
fedora-updates.repo
jpackage.repo
rpmfusion-free.repo
rpmfusion-free-updates.repo
rpmfusion-nonfree.repo
rpmfusion-nonfree-updates.repo
skype.repo


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]